Bug 131970 - [WebKit2] Cleanup the build from unused parameter in WebProcess Module
Summary: [WebKit2] Cleanup the build from unused parameter in WebProcess Module
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 21:15 PDT by Shivakumar J M
Modified: 2014-04-29 23:20 PDT (History)
8 users (show)

See Also:


Attachments
Fix a build warning by removing the parameters in function paintLayerContents() to fix build warnings (1.52 KB, patch)
2014-04-21 23:17 PDT, Shivakumar J M
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shivakumar J M 2014-04-21 21:15:02 PDT
Found unused parameter in WebProcess Module during webkit-efl port build. 

[ 95%] Building CXX object Source/WebKit2/CMakeFiles/WebKit2.dir/WebProcess/WebPage/efl/WebInspectorEfl.cpp.o
/home/shiva.jm/webkit-git/svngit/WebKit/Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedLayerTreeHost.cpp:209:6: warning: unused parameter ‘graphicsLayer’ [-Wunused-parameter]
 void CoordinatedLayerTreeHost::paintLayerContents(const GraphicsLayer* graphicsLayer, GraphicsContext& graphicsContext, const IntRect& clipRect)
      ^
/home/shiva.jm/webkit-git/svngit/WebKit/Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedLayerTreeHost.cpp:209:6: warning: unused parameter ‘graphicsContext’ [-Wunused-parameter]
/home/shiva.jm/webkit-git/svngit/WebKit/Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedLayerTreeHost.cpp:209:6: warning: unused parameter ‘clipRect’ [-Wunused-parameter]
[ 95%] Building CXX object Source/WebKit2/CMakeFiles/WebKit2.dir/WebProcess/WebPage/efl/WebPageEfl.cpp.o
Comment 1 Shivakumar J M 2014-04-21 23:17:25 PDT
Created attachment 229866 [details]
Fix a build warning by removing the parameters in function paintLayerContents() to fix build warnings

Created a patch to Fix a build warning by removing the parameters in function paintLayerContents() to fix build warnings
Comment 2 WebKit Commit Bot 2014-04-22 08:19:29 PDT
Comment on attachment 229866 [details]
Fix a build warning by removing the parameters in function paintLayerContents() to fix build warnings

Clearing flags on attachment: 229866

Committed r167660: <http://trac.webkit.org/changeset/167660>
Comment 3 WebKit Commit Bot 2014-04-22 08:19:33 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Shivakumar J M 2014-04-29 23:20:49 PDT
Bug is fixed tested in version 167979.